Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514115 - Review Request: python-rsd-lib - python library for communicating with Intel Rack Scale Design enabled hardware
Summary: Review Request: python-rsd-lib - python library for communicating with Intel ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL:
Whiteboard:
: 1514114 (view as bug list)
Depends On:
Blocks: RDO-QUEENS 1466874
TreeView+ depends on / blocked
 
Reported: 2017-11-16 16:50 UTC by Nate Potter
Modified: 2018-01-09 13:54 UTC (History)
2 users (show)

Fixed In Version: python-rsd-lib-0.1.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-09 13:52:35 UTC
amoralej: fedora-review+


Attachments (Terms of Use)

Description Nate Potter 2017-11-16 16:50:23 UTC
rsd-lib is a python library for communicating with Intel Rack Scale Design enabled hardware. It needs to be added to RDO in order to allow for use of RSD hardware in a Red Hat environment.

The project can be found on GitHub here: https://github.com/openstack/rsd-lib

Comment 1 Nate Potter 2017-11-16 16:57:32 UTC
rdo.yml updated here https://review.rdoproject.org/r/#/c/10490/

Comment 2 Alfredo Moralejo 2017-11-16 17:34:57 UTC
Licensecheck output:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./rsd_lib/__init__.py: Apache (v2.0)
./rsd_lib/main.py: Apache (v2.0)
./rsd_lib/utils.py: Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./rsd_lib/resources/base.py: Apache (v2.0)
./rsd_lib/resources/chassis.py: Apache (v2.0)
./rsd_lib/tests/base.py: Apache (v2.0)
./doc/source/contributor/contributing.rst: *No copyright* UNKNOWN
./doc/source/contributor/index.rst: *No copyright* UNKNOWN
./doc/source/install/index.rst: *No copyright* UNKNOWN
./doc/source/reference/index.rst: *No copyright* UNKNOWN
./doc/source/reference/usage.rst: *No copyright* UNKNOWN
./doc/source/user/index.rst: *No copyright* UNKNOWN
./rsd_lib/resources/fabric/endpoint.py: Apache (v2.0)
./rsd_lib/resources/fabric/fabric.py: Apache (v2.0)
./rsd_lib/resources/fabric/zone.py: Apache (v2.0)
./rsd_lib/resources/node/constants.py: Apache (v2.0)
./rsd_lib/resources/node/mappings.py: Apache (v2.0)
./rsd_lib/resources/node/node.py: Apache (v2.0)
./rsd_lib/resources/node/schemas.py: Apache (v2.0)
./rsd_lib/resources/storage_service/logical_drive.py: Apache (v2.0)
./rsd_lib/resources/storage_service/physical_drive.py: Apache (v2.0)
./rsd_lib/resources/storage_service/remote_target.py: Apache (v2.0)
./rsd_lib/resources/storage_service/storage_service.py: Apache (v2.0)
./rsd_lib/tests/unit/test_main.py: Apache (v2.0)
./rsd_lib/tests/unit/fakes/request_fakes.py: Apache (v2.0)
./rsd_lib/tests/unit/json_samples/chassis.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/chassis_collection.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/endpoint.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/endpoint_collection.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/fabric.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/fabric_collection.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/logical_drive.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/logical_drive_collection.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/node.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/node_collection.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/physical_drive.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/physical_drive_collection.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/processor.json: UNKNOWN
./rsd_lib/tests/unit/json_samples/processor2.json: UNKNOWN
./rsd_lib/tests/unit/json_samples/processor_collection.json: UNKNOWN
./rsd_lib/tests/unit/json_samples/remote_target.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/remote_target_collection.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/root.json: UNKNOWN
./rsd_lib/tests/unit/json_samples/storage_service.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/storage_service_collection.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/system.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/zone.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/json_samples/zone_collection.json: *No copyright* UNKNOWN
./rsd_lib/tests/unit/resources/test_base.py: Apache (v2.0)
./rsd_lib/tests/unit/resources/test_chassis.py: *No copyright* Apache (v2.0)
./rsd_lib/tests/unit/resources/fabric/test_endpoint.py: Apache (v2.0)
./rsd_lib/tests/unit/resources/fabric/test_fabric.py: Apache (v2.0)
./rsd_lib/tests/unit/resources/fabric/test_zone.py: Apache (v2.0)
./rsd_lib/tests/unit/resources/node/test_node.py: Apache (v2.0)
./rsd_lib/tests/unit/resources/storage_service/test_storage_service.py: Apache (v2.0)


License is valid: Apache v2.0

Comment 3 Alfredo Moralejo 2017-11-16 17:53:28 UTC

rsd-lib is a requirement for rsdlient which is providing a osc plugin which means it's "client side", is this correct?

Note that we include all OpenStack clients in Fedora in addition to RDO, so i'm changing the Product to Fedora. We'll add this package to OpenStack SIG in Fedora.

Comment 4 Alfredo Moralejo 2017-12-21 09:19:40 UTC
Could you create spec and srpm for version 0.1.1 based in https://review.rdoproject.org/r/#/c/10619/ , publish it and add URLs for them in this BZ. We need it to run formal review for fedora and approve this package.

Comment 6 Alfredo Moralejo 2017-12-22 13:00:05 UTC
formal review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 54 files have unknown
     license. Detailed output of licensecheck in /tmp/1514115-python-rsd-
     lib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -rsd-lib , python2-rsd-lib-tests , python3-rsd-lib , python3-rsd-lib-
     tests , python-rsd-lib-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-rsd-lib-0.1.1-1.fc28.noarch.rpm
          python2-rsd-lib-tests-0.1.1-1.fc28.noarch.rpm
          python3-rsd-lib-0.1.1-1.fc28.noarch.rpm
          python3-rsd-lib-tests-0.1.1-1.fc28.noarch.rpm
          python-rsd-lib-doc-0.1.1-1.fc28.noarch.rpm
          python-rsd-lib-0.1.1-1.fc28.src.rpm
python2-rsd-lib.noarch: W: summary-ended-with-dot C Python library for interfacing with Intel Rack Scale Design enabled hardware.
python2-rsd-lib-tests.noarch: W: summary-not-capitalized C rsd-lib tests
python2-rsd-lib-tests.noarch: W: no-documentation
python3-rsd-lib.noarch: W: summary-not-capitalized C rsd-lib tests
python3-rsd-lib-tests.noarch: W: summary-not-capitalized C rsd-lib tests
python3-rsd-lib-tests.noarch: W: no-documentation
python-rsd-lib-doc.noarch: W: summary-not-capitalized C rsd-lib documentation
python-rsd-lib.src: W: summary-ended-with-dot C Python library for interfacing with Intel Rack Scale Design enabled hardware.
6 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
python3-rsd-lib.noarch: W: summary-not-capitalized C rsd-lib tests
python3-rsd-lib.noarch: W: invalid-url URL: http://git.openstack.org/cgit/openstack/rsd-lib <urlopen error [Errno -2] Name or service not known>
python3-rsd-lib-tests.noarch: W: summary-not-capitalized C rsd-lib tests
python3-rsd-lib-tests.noarch: W: invalid-url URL: http://git.openstack.org/cgit/openstack/rsd-lib <urlopen error [Errno -2] Name or service not known>
python3-rsd-lib-tests.noarch: W: no-documentation
python-rsd-lib-doc.noarch: W: summary-not-capitalized C rsd-lib documentation
python-rsd-lib-doc.noarch: W: invalid-url URL: http://git.openstack.org/cgit/openstack/rsd-lib <urlopen error [Errno -2] Name or service not known>
python2-rsd-lib.noarch: W: summary-ended-with-dot C Python library for interfacing with Intel Rack Scale Design enabled hardware.
python2-rsd-lib.noarch: W: invalid-url URL: http://git.openstack.org/cgit/openstack/rsd-lib <urlopen error [Errno -2] Name or service not known>
python2-rsd-lib-tests.noarch: W: summary-not-capitalized C rsd-lib tests
python2-rsd-lib-tests.noarch: W: invalid-url URL: http://git.openstack.org/cgit/openstack/rsd-lib <urlopen error [Errno -2] Name or service not known>
python2-rsd-lib-tests.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 12 warnings.



Requires
--------
python3-rsd-lib (rpmlib, GLIBC filtered):
    python(abi)
    python3-jsonschema
    python3-pbr
    python3-sushy

python3-rsd-lib-tests (rpmlib, GLIBC filtered):
    python(abi)
    python3-jsonschema
    python3-pbr
    python3-rsd-lib
    python3-setuptools
    python3-sushy
    python3-sushy-tests

python-rsd-lib-doc (rpmlib, GLIBC filtered):

python2-rsd-lib (rpmlib, GLIBC filtered):
    python(abi)
    python-jsonschema
    python-sushy
    python2-pbr

python2-rsd-lib-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-jsonschema
    python-setuptools
    python-sushy
    python2-pbr
    python2-rsd-lib
    python2-sushy-tests



Provides
--------
python3-rsd-lib:
    python3-rsd-lib
    python3.6dist(rsd-lib)
    python3dist(rsd-lib)

python3-rsd-lib-tests:
    python3-rsd-lib-tests

python-rsd-lib-doc:
    python-rsd-lib-doc

python2-rsd-lib:
    python-rsd-lib
    python2-rsd-lib
    python2.7dist(rsd-lib)
    python2dist(rsd-lib)

python2-rsd-lib-tests:
    python2-rsd-lib-tests



Source checksums
----------------
http://tarballs.openstack.org/rsd-lib/rsd-lib-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : d5eb4dba88b9c0983287c24035ac44e1a069838f1834b4c099362e7856c53c06
  CHECKSUM(SHA256) upstream package : d5eb4dba88b9c0983287c24035ac44e1a069838f1834b4c099362e7856c53c06


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1514115
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Package is APPROVED

Comment 7 Alfredo Moralejo 2017-12-22 13:04:10 UTC
I'm requesting the new package in Fedora and will assign openstack-sig group as admin.

Comment 8 Gwyn Ciesla 2017-12-22 13:33:18 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-rsd-lib

Comment 9 Alfredo Moralejo 2017-12-22 13:59:44 UTC
Package is imported in pagure and package built in https://koji.fedoraproject.org/koji/taskinfo?taskID=23843529

Comment 10 Alfredo Moralejo 2018-01-09 13:52:35 UTC
Package is in rawhide repo.

Comment 11 Alfredo Moralejo 2018-01-09 13:54:11 UTC
*** Bug 1514114 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.